%define rname	livehttpheaders
%define cid	\{8f8fe09b-0bd3-4470-bc1b-8cad42b8203a\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Summary:	Plugin to access HTTP headers in Firefox
Name:		%firefox_name-%rname
Version:	0.16
Release:	alt1
Source0:	%rname-%version.xpi
License:	GPL
Group:		Networking/WWW
URL:		http://livehttpheaders.mozdev.org/index.html
Packager:	Alexey Gladkov <legion@altlinux.ru>
BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires:  unzip

%description 
The goal of this project is to adds information about the HTTP headers in two
ways:
 * First by adding a 'Headers' tab in 'View Page Info' of a web page.
 * Second by adding a tool in the 'Tools->Web Development' menu to be able to
   display http headers in real time (while pages are being downloaded from
   the Internet.
 * Third by letting you edit request headers and replay an URL (beta). Look
   for the Replay button in the live window!

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

#sed -r -i \
#    -e 's,<em:maxVersion>3\.5\.\*</em:maxVersion>,<em:maxVersion>3.6.*</em:maxVersion>,g' \
#    %buildroot/%ciddir/install.rdf

%postun
if [ "$1" = 0 ]; then
	[ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Mar 29 2010 Alexey Gladkov <legion@altlinux.ru> 0.16-alt1
- New version (0.16).
- Fix compatibility with firefox-3.6 (ALT#23245).

* Sun Jan 24 2010 Alexey Gladkov <legion@altlinux.ru> 0.15-alt1
- new version (0.15).

* Thu Mar 12 2009 Alexey Gladkov <legion@altlinux.ru> 0.14-alt2
- rebuild with firefox 3.1*

* Mon Jul 07 2008 Alexey Gladkov <legion@altlinux.ru> 0.14-alt1
- new version (0.14).

* Wed Mar 14 2007 Alexey Gladkov <legion@altlinux.ru> 0.13.1-alt2
- Fix archive packaging bug.

* Wed Nov 22 2006 Alexey Gladkov <legion@altlinux.ru> 0.13.1-alt1
- new version (0.13.1-alt1)

* Thu Sep 21 2006 Alexey Gladkov <legion@altlinux.ru> 0.12-alt3
- rebuild with firefox 1.5.0.7

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.12-alt2
- rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.12-alt1
- new version
- rebuild with firefox 1.5.0.1

* Mon Dec 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.11-alt1
- new version

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.10-alt8.1
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.10-alt8
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt7
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt6
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt5
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt4
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt3
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt2.1
- postscript bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt1
- new_version;
- New Extension scheme.

* Mon Oct 25 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt2
- Spec changes;

* Wed Oct 20 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt1
- New version;
- New Extension scheme.

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt2
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);

* Sun Dec 28 2003 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- new version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- first build for ALT Linux.

* Fri Sep 05 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.5mdk
- remove release part in mozilla dependancy

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.4mdk
- new mozilla package

* Mon Jul 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.3mdk
- new mozilla package

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.2mdk
- new mozilla

* Fri Jun 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.1mdk
- first Mandrake package
